main{
    /* border: 1px solid red; */
    position: relative;
    z-index: 1;
}
.input-container{
    background-image: linear-gradient(rgba(0,0,0,0.3)) ,url("../images/banner.png");
    background-size: cover;
    background-repeat: no-repeat;
    height: 60vh;
    min-height: 300px;
    padding-block: 70px; 
    position: relative;
    z-index: 2;

    form{
        display: flex;
        justify-content: space-between ;
        align-items: center;
        position: relative;

        input{
            width: 100%;
            background-color: #1E202B;
            border: none;
            outline: none;
            border-radius: 30px;
            padding: 15px 20px;
            color: #fff;
            
            &::placeholder{
                color: #757575;
                font-size: small;
            }
            &:focus{
                background-color: #1E202B;
                color: #fff;
                box-shadow: none;
                font-size: medium;

            }

        }
        button{
            position: absolute;
            right: 5px;
            padding: 10px 40px;
            background-color: #019AD8;
            color: #fff;
            border: none;
            border-radius: 30px;
            font-size: medium;
            cursor: pointer;
            transition: all .3s ease-in-out;

            &:hover{
                background-color: #017BBE;
                color: #fff;
            }
        }
    }
    .search-result{
        max-height: 100px;
        overflow-y: auto;
        background-color: #1E202B;
        border-radius: 20px;

        ul{
            list-style-type: none;
            margin: 0;
            padding: 0;

            li{
                padding: 10px 20px;
                color: #fff;
                cursor: pointer;

                &:hover{
                    background-color: #323544;
                }
            }
        }
    }
}

section{
    /* border: 1px solid blue; */
    position: relative;
    z-index: 3;
}
    

.weather-boxes{
    display: flex;
    gap: 20px;
    justify-content: center;
    align-items: stretch;
    transform: translateY(-5%);
    z-index: 4;
    position: relative;


}
.weather-card{
    border-radius: 10px;
    height: 400px;

    .card-header{
        background-color: #2D303D;
        display: flex;
        justify-content: space-between;
        align-items: center;
        padding: 10px 10px;
        border-radius: 10px 10px 0 0;
        height: 40px;
        color: #BFC1C8;

    }
    .card-main{
        background-color: #323544;
        padding: 20px;
        border-radius: 0 0 10px 10px;
        display: flex;
        height: 360px;
        flex-direction: column;
        justify-content: center;

        h2{
            color: #BFC1C8;
            font-size: 1.1rem;
        }
        .weather-degree-firstday{
            display: flex;
            align-items: center;
            gap: 50px;
            margin: 10px 0;

            img{
                width: 50px;
                height: 50px;
            }
            span{
                font-size: 5em;
                color: #fff;
            }
        }
        h3{
            color: #019AD8;
            font-size: 1rem;
            margin: 10px 0;             
        }
        .weather-properties-firstday{
            display: flex;
            align-items: center;
            gap: 30px;
            color: #BFC1C8;
            font-size: .9rem;
        }
        .weather-degree-secondDay , .weather-degree-thirdDay{
            display: flex;
            flex-direction: column;
            align-items: center;
            justify-content: center;

            img{
                width: 50px;
                height: 50px;
            }
        }
        #higher-degree-2 , #higher-degree-3{
            font-size: 2.5em;
            color: #fff;
        }
        #lower-degree-2 , #lower-degree-3{
            font-size: 1rem;
            color: #BFC1C8; 
        }

    }
}


@media screen and (min-width:991px) {
    .weather-boxes{
        transform: translateY(-20%);

    }
    .weather-card{
        .card-main{
            .weather-degree-firstday{
                flex-direction: column;
                align-items: start;
                gap: 0;
                margin: 0;
            }
            h2{
                margin-top: 20px;
            }
        }
    }
    
    
}

@media screen and (min-width:1200px) {
    
    .weather-card{
        .card-main{
            .weather-degree-firstday{
                flex-direction: row;
                align-items: center;
                gap: 40px;
                margin: 10px 0;
            }

            }
        }
    
    
}